/* Sass */

* { box-sizing: border-box; }

html {
  font-family: sans-serif;
  font-size: 16px;
  margin: 0;
  padding: 0;
}

body {
  margin: 40px;
}

.monotype {
  font-family: monospace;
  background-color: khaki;
  padding: 4px 8px;
  border-radius: 4px;
}

.container {
  background-color: grey;
  display: block;
  width: 600px;
  margin-bottom: 20px;
  padding: 5px;

  background-color: #f7f7f7;
  border-radius: 3px;
  padding: 10px;
}

  .container + h2 { margin-top: 40px; }

  .container-wrp {
    font-size: 20px;
    border-radius: 4px;
    border: 3px dashed #4390E1;
    box-sizing: border-box;
  }

  .item {
    font-size: 20px;
    text-align: center;
    border-radius: 4px;
    background-color: rgba(162, 203, 250, 0.8);
    border: 1px solid #4390E1;
    box-sizing: border-box;
    box-shadow: 0 2px 2px rgba(0,90,250,0.05), 0 4px 4px rgba(0,90,250,0.05), 0 8px 8px rgba(0,90,250,0.05), 0 16px 16px rgba(0,90,250,0.05);
    width: 100%;
    /* height: 80px; */
    position: relative;
    z-index: 10;
  }



/* 1. Variables – Ejemplo 01 */

$font-stack: Helvetica, Arial, sans-serif;
$primary-color: #333;
$secondary-color: #AAA;
$error-color: red;

.container--variables-a {
  font-family: $font-stack;
  color: $primary-color;
} 
.container--variables-a div {
  color: $secondary-color;
}
.container--variables-a .error {
  color: $error-color;
}


/* 1. Variables – Ejemplo 02 */

$font-stack: Cambria, Georgia, Times, serif;
$primary-color: #00ff0f;
$secondary-color: #4390E1 !default;

.container--variables-b {
  font-family: $font-stack;
  color: $primary-color;
} 
.container--variables-b div {
  color: $secondary-color;
}
.container--variables-b .error {
  color: $error-color;
}


/* 2. Reglas anidadas (nesting) – Ejemplo 01 */

$primary-color: #333;

.container--nest-a nav {
  
  ul { // .container--nest-a nav ul
   margin: 0;
   padding: 0;
   list-style: none; 
  }

  li {
    display: inline-block;

    a {
      display: inline;
      text-decoration: underline;
    }
  }

  a {
    display: block;
    padding: 6px 12px;
    text-decoration: none;
  }
}


/* 2. Reglas anidadas (nesting) – Ejemplo 02 */

.container--nest-b .btn {
  font-family: $font-stack;
  font-size: 1.6em;
  background-color: $primary-color;
  color: white;
  padding: 10px 20px;
  border-radius: 4px;
  border: none;

  &:hover {
    background-color: $error-color;
  }

  &:disabled {
    background-color: $secondary-color;
  }

  + .btn {
    margin-left: 40px;
  }
}


/* 3. Mixins */

@mixin heading($color: null) {
  font-family: $font-stack;
  font-weight: normal;
  font-size: 4em;
  line-height: 1.2em;
  letter-spacing: -0.04em;
  //color: $color;
  @if ($color != null) { color: $color; }
}

@mixin body-regular($color: null, $weight: normal) {
  font-family: $font-stack;
  font-weight: $weight;
  font-size: 1.8em;
  line-height: 1.6em;
  @if ($color != null) { color: $color; }
}

.container--mix-a .title {
  @include heading(red);
}

.container--mix-a .text {
  @include body-regular();
}

.container--mix-b .title {
  @include heading(blue);
}

.container--mix-b .text {
  @include body-regular(orange, bold);
}
